<?php

	// *******************************************************************************
	// create an API object
	//
	// these commands should be included in every page the API is being used	
	//
	include "axisAPI.php";

	$api = new axisAPI();
	
	// set the system domain (www.yourlmssystem.com)
	$api->setServerDomain("");

	// set the API key
	$api->setAPIKey("");	

	// initiate bearer token
	$api->useBearerTokens();	
	





	// *******************************************************************************
	// sample call to a GET endpoint, no filtering
	//
	$result = $api->get("/certifications/list/all/");




	// *******************************************************************************
	// sample call to a GET endpoint, with filtering
	//
	// filters are created prior to implementing a GET call and then are used for all
	// GET calls until those filters are cleared out.  You can add both field filters
	// and user filters.
	//
	// field filters can be added individually or as a single call with an array of fields passed in
	//
	//
	// user filters expect three values passed when adding --> the field to filter against, the comparision operator,
	// and the value to filter against.
	//		- Comparison Operators (function accepts either string or symbol):
	//				- 'equals' or '-'
	//				- 'not'	or '!='
	//				- 'contains' or '~'
	//				- 'excludes' or '!~'
	//
	//
	// 
	$api->addFieldFilter(["username", "first_name", "last_name"]);	// add an array of fields to field filters	
	
	//$api->addFieldFilter("username");								// alternative way to add to field filters individually
	//$api->addFieldFilter("first_name");							// alternative way to add to field filters individually
	//$api->addFieldFilter("last_name");							// alternative way to add to field filters individually
	
	$api->addUserFilter("username", "not", "admin");				// add to user filters
	$api->addUserFilter("username", "excludes", "custom");			// add to user filters

	$result = $api->get("/users/filtered/");

	if ( $result->success ) {										// $result->success will be (true/false) based on whether call was successful
		echo $result->json;											// $result->json will hold response data from API (or error data if call fails)
	} 
	
	
	$api->clearFilters();											// clear both field and user filters
	//$api->clearFieldFilter();										// clear just field filters
	//$api->clearUserFilter();										// clear just user filters





	// *******************************************************************************
	// sample call to a POST endpoint
	// $result = $api->post("/courses/enrollments/6/1/", ["start" => "20230101", "end" => "20231231"]);





	// *******************************************************************************
	// sample call to a DELETE endpoint
	// $result = $api->delete("/courses/enrollments/6/1/");




	
	// *******************************************************************************
	// sample call to a PUT endpoint
	//$result = $api->put("/users/1", ["last_name" => "Adminner"]);





	// *******************************************************************************
	// if using bearer tokens, revoke the bearer token
	$api->revokeBearerToken();



?>